Public Attributes | List of all members
nvds_drv_func_t Struct Reference
SYSTEM » Non-Volatile Data Storage » Enumerations

NVDS drive function struct. More...

`#include <gr533x_nvds.h>`

## Public Attributes
uint32_t(* | p_nvds_flash_read )(const uint32_t addr, uint8_t *buf, const uint32_t size)
uint32_t(* | p_nvds_flash_write_r )(const uint32_t addr, const uint8_t *buf, const uint32_t size)
void(* | p_nvds_flash_set_security )(bool enable)
bool(* | p_nvds_flash_get_security )(void)
bool(* | p_nvds_flash_erase )(const uint32_t addr, const uint32_t size)
void(* | p_nvds_flash_get_info )(uint32_t *id, uint32_t *size)

## Detailed Description

NVDS drive function struct.

Definition at line 108 of file gr533x_nvds.h.

## Member Data Documentation

## ◆ p_nvds_flash_erase

bool(* nvds_drv_func_t::p_nvds_flash_erase) (const uint32_t addr, const uint32_t size)

NVDS flash erase function.

Definition at line 114 of file gr533x_nvds.h.

## ◆ p_nvds_flash_get_info

void(* nvds_drv_func_t::p_nvds_flash_get_info) (uint32_t *id, uint32_t *size)

NVDS flash information get function.

Definition at line 115 of file gr533x_nvds.h.

## ◆ p_nvds_flash_get_security

bool(* nvds_drv_func_t::p_nvds_flash_get_security) (void)

NVDS flash security get function.

Definition at line 113 of file gr533x_nvds.h.

## ◆ p_nvds_flash_read

uint32_t(* nvds_drv_func_t::p_nvds_flash_read) (const uint32_t addr, uint8_t *buf, const uint32_t size)

NVDS flash read function.

Definition at line 110 of file gr533x_nvds.h.

## ◆ p_nvds_flash_set_security

void(* nvds_drv_func_t::p_nvds_flash_set_security) (bool enable)

NVDS flash security set function.

Definition at line 112 of file gr533x_nvds.h.

## ◆ p_nvds_flash_write_r

uint32_t(* nvds_drv_func_t::p_nvds_flash_write_r) (const uint32_t addr, const uint8_t *buf, const uint32_t size)

NVDS flash write_r function.

Definition at line 111 of file gr533x_nvds.h.

The documentation for this struct was generated from the following file:

- gr533x_nvds.h